Bug 577621 - [abrt] crash in firefox-3.5.8-1.fc12: killed by signal 11 [@ nsRegion::Copy]
Summary: [abrt] crash in firefox-3.5.8-1.fc12: killed by signal 11 [@ nsRegion::Copy]
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:decb78f24e15360d394d6730e3d...
Keywords: Triaged
: 585602 588452 593803 639739 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-28 11:21 UTC by Robert Hoekstra
Modified: 2018-04-11 08:06 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-12-03 16:39:09 UTC


Attachments (Terms of Use)
File: backtrace (93.83 KB, text/plain)
2010-03-28 11:21 UTC, Robert Hoekstra
no flags Details
Part of the thread where crash happened (2.52 KB, text/plain)
2010-09-25 23:43 UTC, Matěj Cepl
no flags Details

Description Robert Hoekstra 2010-03-28 11:21:03 UTC
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/lib/firefox-3.5.8/firefox
comment: An applet was loading to view a 360 deg photo.. nothing special. Unknown how to reproduce, because a second time it did work...
component: firefox
executable: /usr/lib/firefox-3.5.8/firefox
kernel: 2.6.31.12-174.2.22.fc12.i686.PAE
package: firefox-3.5.8-1.fc12
rating: 4
reason: Process /usr/lib/firefox-3.5.8/firefox was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

Comment 1 Robert Hoekstra 2010-03-28 11:21:06 UTC
Created attachment 403096 [details]
File: backtrace

Comment 2 Tony C 2010-03-30 07:34:00 UTC

How to reproduce
-----
1.open browser
2.watch browser disappera
3.respond to bug-reporting tool


Comment
-----
I have been able to reproduce by opening the browser again

Comment 3 Chris Campbell 2010-05-23 03:05:44 UTC
#3  <signal handler called>
No symbol table info available.
#4  operator= (this=0xae8fef68, aRegion=...)
    at ../../dist/include/gfx/nsRegion.h:89
No locals.
#5  nsRegion::Copy (this=0xae8fef68, aRegion=...) at nsRegion.cpp:577
        pSrc = 0x706f6f6b
        pDest = 0xae8fef70
#6  0x04bcfe4d in nsViewManager::UpdateWidgetArea (this=0xb3f69be0, 
    aWidgetView=0xb3f69c40, aDamagedRegion=..., aIgnoreWidgetView=0x0)
    at nsViewManager.cpp:876
        damage = {mRectCount = 1, mCurRect = 0xb755a13c, 
          mRectListHead = {<nsRegion::nsRectFast> = {<nsRect> = {
                x = 91925544, y = 91925816, width = 91925848, 
                height = 91925876}, <No data fields>}, prev = 0xb755a13c, 
            next = 0xb755a13c}, mBoundRect = {<nsRect> = {x = 0, y = 0, 
              width = 0, height = 0}, <No data fields>}}
        offset = {x = 1, y = 376}
        view = 0xb0ce0460
        childWidget = 0xb0f8c800
        intersection = {mRectCount = 1, mCurRect = 0xb1484064, 
          mRectListHead = {<nsRegion::nsRectFast> = {<nsRect> = {x = 0, 
                y = 0, width = 0, height = 0}, <No data fields>}, 
            prev = 0xb1484064, next = 0xb1484064}, mBoundRect = {<nsRect> = {
              x = 31080, y = 56100, width = 48900, 
              height = 1020}, <No data fields>}}
        widget = 0xb40b5200
        children = {mRectCount = 0, mCurRect = 0xae8fefa0, 
          mRectListHead = {<nsRegion::nsRectFast> = {<nsRect> = {x = 0, 
                y = 0, width = 0, height = 0}, <No data fields>}, 
            prev = 0xae8fefa0, next = 0xae8fefa0}, mBoundRect = {<nsRect> = {
              x = 0, y = 0, width = 0, height = 0}, <No data fields>}}
        leftOver = {mRectCount = 739, mCurRect = 0x0, 
          mRectListHead = {<nsRegion::nsRectFast> = {<nsRect> = {x = 0, 
                y = 1674, width = 739, height = 3}, <No data fields>}, 
            prev = 0xb0c2db20, next = 0xb3f69be0}, mBoundRect = {<nsRect> = {
              x = -1366298744, y = 79496467, width = -1329407200, 
              height = 0}, <No data fields>}}
#7  0x04bd0565 in nsViewManager::ProcessPendingUpdates (this=0xb3f69be0, 
    aView=0xb3f69c40, aDoInvalidate=1) at nsViewManager.cpp:678
        dirtyRegion = <value optimized out>
#8  0x04bd0626 in nsViewManager::FlushPendingInvalidates (this=0xb3f69be0)
    at nsViewManager.cpp:2251
No locals.
#9  0x04bd06dc in nsViewManager::EnableRefresh (this=0xb3f69be0, 
    aUpdateFlags=0) at nsViewManager.cpp:1971
No locals.
#10 0x04bceee0 in nsViewManager::EndUpdateViewBatch (this=0xb3f69be0, 
    aUpdateFlags=0) at nsViewManager.cpp:2014
        result = 0
#11 0x04923493 in nsIViewManager::UpdateViewBatch::EndUpdateViewBatch (
    this=0xae8ff13c, aUpdateFlags=0)
    at ../../dist/include/view/nsIViewManager.h:384
No locals.
#12 0x0494b10d in PresShell::DoFlushPendingNotifications (this=0xb3f32800, 
    aType=Flush_Layout, aInterruptibleReflow=1) at nsPresShell.cpp:4885
        kungFuDeathGrip = {<nsCOMPtr_base> = {
            mRawPtr = 0xb3f32800}, <No data fields>}
        batch = {mRootVM = {<nsCOMPtr_base> = {
              mRawPtr = 0xb3f69be0}, <No data fields>}}
        updateFlags = <value optimized out>
        isSafeToFlush = 1
        viewManagerDeathGrip = {<nsCOMPtr_base> = {
            mRawPtr = 0xb3f69be0}, <No data fields>}
#13 0x0494b1b7 in PresShell::ReflowEvent::Run (this=0xa7ca45d0)
    at nsPresShell.cpp:6594
        viewManager = {<nsCOMPtr_base> = {
            mRawPtr = 0xb3f69be0}, <No data fields>}
        ps = {mRawPtr = 0xb3f32800}
#14 0x050399fd in nsThread::ProcessNextEvent (this=0xa8d7c790, mayWait=1, 
    result=0xae8ff234) at nsThread.cpp:521
        notifyGlobalObserver = 1
        obs = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        event = {<nsCOMPtr_base> = {mRawPtr = 0xa7ca45d0}, <No data fields>}
        rv = 0
#15 0x01191615 in IcedTeaPluginFactory::ProcessMessage (this=0xa8d63e00)
    at IcedTeaPlugin.cc:3559
        this_has_pending = 1
        curr_has_pending = -1479758848
        processed = 1
        continue_processing = <value optimized out>
#16 0x0119243c in IcedTeaRunnableMethod<IcedTeaPluginFactory>::Run (
    this=0xa668a860) at IcedTeaPlugin.cc:1430
No locals.
#17 0x050399fd in nsThread::ProcessNextEvent (this=0xa8d7c790, mayWait=1, 
    result=0xae8ff2ec) at nsThread.cpp:521
        notifyGlobalObserver = 1
        obs = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
        event = {<nsCOMPtr_base> = {mRawPtr = 0xa668a860}, <No data fields>}
        rv = 0
#18 0x0500850a in NS_ProcessNextEvent_P (thread=<value optimized out>, 
    mayWait=1) at nsThreadUtils.cpp:247
        val = 1
#19 0x0503a15d in nsThread::ThreadFunc (arg=0xa8d7c790) at nsThread.cpp:254
        self = 0xa8d7c790
        event = {<nsCOMPtr_base> = {mRawPtr = 0x0}, <No data fields>}
#20 0x07eb1032 in _pt_root (arg=0xa832af50)
    at ../../../mozilla/nsprpub/pr/src/pthreads/ptthread.c:228
        thred = 0xa832af50
        detached = 0
#21 0x00adeab5 in start_thread (arg=<value optimized out>)
    at pthread_create.c:297
        __res = <value optimized out>
        __ignore1 = -1366298768
        __ignore2 = 1886351211
        now = <value optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {11468788, 0, 4001536, 
                -1366297480, -314246136, -1451829420}, mask_was_saved = 0}}, 
          priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, 
              cleanup = 0x0, canceltype = 0}}}
        not_first_call = <value optimized out>
        pagesize_m1 = <value optimized out>
        freesize = <value optimized out>
#22 0x00a09dce in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130
No locals.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 4 Chris Campbell 2010-05-23 03:09:16 UTC
*** Bug 585602 has been marked as a duplicate of this bug. ***

Comment 5 Chris Campbell 2010-05-23 03:10:04 UTC
*** Bug 588452 has been marked as a duplicate of this bug. ***

Comment 6 Chris Campbell 2010-05-23 03:10:24 UTC
*** Bug 593803 has been marked as a duplicate of this bug. ***

Comment 7 Tony C 2010-05-23 10:37:22 UTC
I don't know if this is helpful, but I'm getting frequent freezes of Firefox.

It has been updated from the Fedora repository, as has been the version of Java
running the application from the terminal I get this output, copied when locked

$ firefox
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-38.b18.fc12-i386)
OpenJDK Server VM (build 14.0-b16, mixed mode)
java.lang.InterruptedException: sleep interrupted
	at java.lang.Thread.sleep(Native Method)
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:735)
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:649)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet.
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:603)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:547)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:728)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:587)
	... 2 more
Caused by: 
java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:587)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:547)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:728)
java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.runLoader(NetxPanel.java:99)
	at sun.applet.AppletPanel.run(AppletPanel.java:380)
	at java.lang.Thread.run(Thread.java:636)
java.lang.NullPointerException
	at sun.applet.AppletPanel.run(AppletPanel.java:430)
	at java.lang.Thread.run(Thread.java:636)
java.lang.Exception: Applet initialization timeout
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:637)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
java.lang.RuntimeException: Failed to handle message: handle 100665584 for instance 1
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:660)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
Caused by: java.lang.Exception: Applet initialization timeout
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:637)
	... 2 more
Error: Unable to fetch applet instance id from Java side.
/builddir/build/BUILD/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:622: thread 0xb75136d0: Error: Unknown plugin value requested.
Error: Unable to fetch applet instance id from Java side.
Error: Unable to fetch applet instance id from Java side.
Error: Unable to fetch applet instance id from Java side.

Comment 8 Tony C 2010-05-24 01:15:27 UTC
and another complete lock-up
I had to run "killall firefox, then killall java to close the browser

=================================================================

$ firefox
java version "1.6.0_18"
OpenJDK Runtime Environment (IcedTea6 1.8) (fedora-38.b18.fc12-i386)
OpenJDK Server VM (build 14.0-b16, mixed mode)
java.lang.InterruptedException: sleep interrupted
	at java.lang.Thread.sleep(Native Method)
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:735)
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:649)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet.
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:603)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:547)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:728)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:587)
	... 2 more
Caused by: 
java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:587)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:547)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:728)
java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.runLoader(NetxPanel.java:99)
	at sun.applet.AppletPanel.run(AppletPanel.java:380)
	at java.lang.Thread.run(Thread.java:636)
java.lang.NullPointerException
	at sun.applet.AppletPanel.run(AppletPanel.java:430)
	at java.lang.Thread.run(Thread.java:636)
java.lang.Exception: Applet initialization timeout
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:637)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
java.lang.RuntimeException: Failed to handle message: handle 81789524 for instance 1
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:660)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
Caused by: java.lang.Exception: Applet initialization timeout
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:637)
	... 2 more
Error: Unable to fetch applet instance id from Java side.
/builddir/build/BUILD/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:622: thread 0xb75136d0: Error: Unknown plugin value requested.
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet.
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:603)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:547)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:728)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:587)
	... 2 more
Caused by: 
java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:587)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:547)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:728)
java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.runLoader(NetxPanel.java:99)
	at sun.applet.AppletPanel.run(AppletPanel.java:380)
	at java.lang.Thread.run(Thread.java:636)
java.lang.NullPointerException
	at sun.applet.AppletPanel.run(AppletPanel.java:430)
	at java.lang.Thread.run(Thread.java:636)
java.lang.Exception: Applet initialization timeout
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:637)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
java.lang.RuntimeException: Failed to handle message: handle 81800559 for instance 2
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:660)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
Caused by: java.lang.Exception: Applet initialization timeout
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:637)
	... 2 more
Error: Unable to fetch applet instance id from Java side.
/builddir/build/BUILD/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:622: thread 0xb75136d0: Error: Unknown plugin value requested.
Error: Unable to fetch applet instance id from Java side.
/builddir/build/BUILD/icedtea6-1.8/plugin/icedteanp/IcedTeaNPPlugin.cc:622: thread 0xb75136d0: Error: Unknown plugin value requested.
Error: Unable to fetch applet instance id from Java side.
Error: Unable to fetch applet instance id from Java side.
Error: Unable to fetch applet instance id from Java side.
Error: Unable to fetch applet instance id from Java side.
Error: Unable to fetch applet instance id from Java side.
Error: Unable to fetch applet instance id from Java side.
Error: Unable to fetch applet instance id from Java side.
net.sourceforge.jnlp.LaunchException: Fatal: Initialization Error: Could not initialize applet.
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:603)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:547)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:728)
Caused by: java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:587)
	... 2 more
Caused by: 
java.lang.NullPointerException
	at net.sourceforge.jnlp.Launcher.createApplet(Launcher.java:587)
	at net.sourceforge.jnlp.Launcher.getApplet(Launcher.java:547)
	at net.sourceforge.jnlp.Launcher$TgThread.run(Launcher.java:728)
java.lang.NullPointerException
	at net.sourceforge.jnlp.NetxPanel.runLoader(NetxPanel.java:99)
	at sun.applet.AppletPanel.run(AppletPanel.java:380)
	at java.lang.Thread.run(Thread.java:636)
java.lang.NullPointerException
	at sun.applet.AppletPanel.run(AppletPanel.java:430)
	at java.lang.Thread.run(Thread.java:636)
java.lang.Exception: Applet initialization timeout
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:637)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
java.lang.RuntimeException: Failed to handle message: handle 81907498 for instance 3
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:660)
	at sun.applet.PluginStreamHandler.handleMessage(PluginStreamHandler.java:270)
	at sun.applet.PluginMessageHandlerWorker.run(PluginMessageHandlerWorker.java:82)
Caused by: java.lang.Exception: Applet initialization timeout
	at sun.applet.PluginAppletViewer.handleMessage(PluginAppletViewer.java:637)
	... 2 more
/usr/lib/firefox-3.5/run-mozilla.sh: line 131: 14835 Terminated              "$prog" ${1+"$@"}
===================================

Comment 9 Matěj Cepl 2010-09-25 23:43:19 UTC
Created attachment 449653 [details]
Part of the thread where crash happened

Comment 10 Bug Zapper 2010-11-03 18:25:01 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 11 Karel Klíč 2010-11-08 17:47:50 UTC
*** Bug 639739 has been marked as a duplicate of this bug. ***

Comment 12 Bug Zapper 2010-12-03 16:39:09 UTC
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.